/*@import '../node_modules/bootstrap/dist/css/bootstrap.min.css';*/

@import '../node_modules/font-awesome/css/font-awesome.min.css';
@import '../node_modules/@fortawesome/fontawesome-free/css/all.min.css';
@import '../node_modules/@fortawesome/fontawesome-free/css/fontawesome.min.css';
@import '../node_modules/@fortawesome/fontawesome-free/css/v4-shims.min.css';
/* @import '../node_modules/@syncfusion/ej2-base/styles/material.css';  
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';  
@import '../node_modules/@syncfusion/ej2-calendars/styles/material.css';  
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';  
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';  
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';  
@import '../node_modules/@syncfusion/ej2-angular-grids/styles/material.css';
@import '../node_modules/@syncfusion/ej2-treegrid/styles/material.css';
@import "../node_modules/@syncfusion/ej2-angular-buttons/styles/material.css"; */
/* @import '../node_modules/tributejs/dist/tribute.css'; */

/* @import '~@angular/material/prebuilt-themes/deeppurple-amber.css'; */
 

/* html, body { height: 100%; }*/
body , .e-grid, .e-control,
.e-css, .e-error, .e-btn,
.e-css.e-btn, .e-badge
{ font-family:"Open Sans", sans-serif !important; color: #010203 !important;} 

.e-error {
    padding-top: 7px;
}

.btn-dark {
    background-color: #0460a9 !important;
    color:#fff !important;
    border-color: #0460a9 !important;
}

.required
{
    color: #ff6600;
}

.e-pager .e-currentitem, .e-pager .e-currentitem:hover{
    background:#0460a9 !important;
    color: #fff;
    opacity: 1;
}

.e-checkbox-wrapper .e-frame.e-check, .e-css.e-checkbox-wrapper .e-frame.e-check {
    background-color:#0460a9 !important;
    border-color: lightsalmon !important;
    color: #fff;
}

.e-grid {
    border-width: 0px;
}

.index {
    z-index: 10000 !important;
}

.cursor-pointer{
    cursor: pointer;
  }

.e-dialog .e-dlg-header-content {
    background-color: rgba(236, 236, 236, 0.925);
    text-align: left;
    text-align: -webkit-left;
}
.e-dialog .e-dlg-header-content + .e-dlg-content{
    padding-top: 12px;
}
.e-dialog .e-dlg-content{
    height:100%;
}

.green-label {
    color: #35A506 !important;
}

/* .e-grid .e-row {background-color: #fff;}
.e-grid .e-altrow {background-color: #fafafa;}  */
.e-grid .e-headertext{
    color: #000;
    font-weight: 900;
    font-size: 14px;
}
/* .e-grid td.e-active {border-top: 1px solid #ff6600 !important; border-bottom: 1px solid #ff6600 !important;background: inherit;color: #000;} */
.e-grid td.e-active:first-child {border-left: 2px solid #0460a9 !important;}
.e-grid td.e-active:last-child {border-right: 2px solid #0460a9 !important;} 

/* .e-grid .e-gridheader{
    color: #747474 !important;
    text-transform: uppercase;
} */

th.e-headercell {
    background-color: #F4F4F4 !important;
}

.navbar-custom {
    color: rgb(0, 0, 0);
    background-color: #FBFBFB;
}

.nav_logo{
    padding-top: 3mm;
    margin-bottom: 0mm;
    font-size: 1.2rem;
}

.sub-heading{
    margin-bottom: 0.2mm;
    color: #747577;
}

/* .e-grid [class^='e-'], .e-grid {
    border: none !important;
} */

.e-grid.e-gridhover tr[role='row']:not(.e-editedrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-gridhover tr[role='row']:hover .e-detailrowcollapse:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-gridhover tr[role='row']:hover .e-rowdragdrop:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-rtl .e-gridhover tr[role='row']:hover .e-rowdragdrop:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-gridhover tr[role='row']:hover .e-detailrowexpand:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell) {
    background-color: #EEEEEE !important;
}

/* .e-tab .e-tab-header .e-indicator {
    background: #E5E5E5   !important;
} */

.e-tab .e-tab-header .e-toolbar-item.e-active .e-tab-text {
    color:#010203 !important;
}

.e-grid .e-rowcell{
    color: #010203 !important;
}

input{
    font-size: 14px !important;
    color:#010203;
}

textarea{
    font-size: 14px !important;
    color:#010203;
}

label{
    font-size: 13px !important;
    margin-bottom: 4px !important;
    color:#010203;
}

.e-badge.e-badge-ghost.e-badge-secondary {
    background-color: #EEEEEE !important;
    border: 1px solid #EEEEEE !important;
    color: unset !important;
    font-size: 13px;
}

.e-badge.e-badge-secondary:not(.e-badge-ghost):not([href]) {
    background-color: #F58E4C !important;
    font-size: 13px;
    color: #fff !important;
}

.clickcss {
    cursor: pointer;
}
.clickcss:hover {
    text-decoration: underline;
}

.dropdown-menu {
    top: unset !important;
}
.heading_style{
    color: #010203;
    font-family: 'Open Sans', sans-serif;
    font-weight: 600;
}

.btn-sm{
    font-family:"Open Sans", sans-serif  !important;
}
 
.e-templatecell {
    overflow:visible !important;
    opacity: 1 !important;
  }

  .e-content {
    min-height: 250px !important;
  }

  .sec-btn{
    background-color: #ffffff !important;
    color: #0460a9 !important;
    border-color: #0460a9 !important;
}
.e-spin-material {
    stroke: #0460a9 !important;
    zoom:2.2 !important; 
}

.e-pager .e-spacing, .e-pager .e-numericitem:hover .e-currentitem .e-link .e-active{
    border-radius: 0px !important;
    /* background: #0460a9 !important;    
    color: #ffffff !important; */
}

td.e-rowcell.paramNameColorBlue {
    color: #3b85f4 !important;
}

.outputTree .e-list-item.e-level-2 .e-text-content
  .e-checkbox-wrapper {
        display: none
    }

.outputTree .e-checkbox-wrapper .e-frame, .e-css.e-checkbox-wrapper .e-frame {
    height: 15px;
    width: 15px;
}

/*SourceConnector Start*/
.actionButton {width:100px}
.conentBoxTitle{display: inline-block;font-size: 13px}
.conentBoxHeader{padding: 6px 2px 6px 20px !important;line-height: 2; margin: 0px}
.conentBoxBody{min-height: 535px}
.btn-warning{background-color: #0460a9 !important; color:#fff !important; border-color: #0460a9 !important;}
.btn-outline-warning{border-color: #0460a9 !important; color:#0460a9 !important;}
.btn-outline-warning:hover:enabled {background-color:#0460a9 !important; color:#fff !important; border-color: #0460a9 !important;}
.btn-warning.btn-left, .btn-outline-warning.btn-left {font-size:13px; border-radius: 30px 0px 0px 30px;}
.btn-warning.btn-right, .btn-outline-warning.btn-right{font-size:13px; border-radius: 0px 30px 30px 0px;}
.custom-h6 {font-weight: 500;font-size: 13px; margin: 8px 3px 3px 3px;}
.blocks{clear:both; display: -webkit-box;margin-top: 0px;}
.custom-label{font-size: 12px;}
.mandatory{color: red;}
.errorMsg{color: red;font-size: 12px;line-height: 35px;padding-left: 10px;}
.subtitles{margin-left: 18px;font-weight: 400;font-style: italic;color: rgb(168, 168, 168);margin-bottom: 5px;font-size: 11px;}
.subtitles_hidden{display: none;margin-left: 18px;font-weight: 400;font-style: italic;color: rgb(168, 168, 168);margin-bottom: 5px;font-size: 11px;}
.e-tooltip{margin-left: 5px; line-height: 35px;display: flow-root;}

/*DataQuality Start*/
.checkbox-container {padding-inline-start: 0px; margin-top: 7px;margin-bottom: 0px;}
.checkbox-inline {list-style-type: none;display: inline;}
.custom-grid .e-dialog .e-dlg-header-content {
    border-bottom: none;
    padding: 10px !important;
}
.custom-grid .e-dialog .e-dlg-header-content + .e-dlg-content {
    padding-top: 6px !important;
}
.custom-grid .e-ccdlg .e-dlg-content {
    margin: 45px 0px 0px !important;
}
/*DataQuality End*/

.fixed-top{z-index: 1000 !important;}

/*Sidebar/MENU ICONS Start*/
.homeIcon svg
{
    width: 30px;
    height: 30px;        
}
.homeIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;
}
.homeIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;
    background-color: rgb(10,10,10);
}

.srcConnectorIcon svg
{
    width: 28px;
    height: 28px;    
}
.srcConnectorIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0; 
}
.srcConnectorIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataIngestionIcon svg
{
    width: 34px;
    height: 34px;      
}
.dataIngestionIcon.sidebar svg
{
    padding: 0 0 10px 0;
    margin: 0 10px 0 -4px;  
}
.dataIngestionIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataCatalogIcon svg
{
    width: 28px;
    height: 28px;   
}
.dataCatalogIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.dataCatalogIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataQualityIcon svg
{
    width: 28px;
    height: 28px;   
}
.dataQualityIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.dataQualityIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataProcessingIcon svg
{
    width: 30px;
    height: 28px;   
}
.dataProcessingIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.dataProcessingIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataModelIcon svg
{
    width: 30px;
    height: 28px;   
}
.dataModelIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.dataModelIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataOrchestrationIcon svg
{
    width: 30px;
    height: 30px;   
}
.dataOrchestrationIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.dataOrchestrationIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.dataConsumptionIcon svg
{
    width: 30px;
    height: 30px;   
}
.dataConsumptionIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.dataConsumptionIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}

.brmsIcon svg
{
    width: 30px;
    height: 30px;
    fill: white;
}
.brmsIcon.sidebar svg
{
    padding: 0 3px 5px 0;
    margin: 0 10px 0 0;  
}
.brmsIcon.title svg
{
    padding: 0 0 0 0;
    margin: 0 5px 0 0;  
    background-color: rgb(10,10,10);
}
/*Sidebar/MENU ICONS End*/
.selected {
    color:black !important;
  }
.orgRules{
    color:red !important;
}

.e-dialog .e-footer-content{
    background-color: rgba(236, 236, 236, 0.925);
    height: 300px !important;
    max-height: 60px !important;
}

/* .e-dialog .e-footer{
    height: 100px !important;
} */

.e-dialog .e-footer-content .e-btn {
    background-color: #ffffff;
    /* color: #0460a9 !important ; */
    border-color: #0460a9;
    text-transform: capitalize;
    margin-top: 5px;
}

.e-dialog .e-dlg-header .dlg-template {
    display: inline-block;
    padding: 0px 10px;
    vertical-align: middle;
    height: 30px;
    line-height: 30px;
    background-color: rgb(236, 236, 236);
}

.e-popup.e-popup-open.e-dialog {
    /* height: 201% !important; */
    max-height: 450px !important;
    /* width: 700px !important; */
    min-width: 240px;
    top: 20%;
    left: 25%;
}
.e-item.e-active.e-content.e-lib.e-touch{
    height:100% !important;
}
#tab_wizard{
    height:100% !important;
}
#e-content_1{
    height : 315px;
}

#template_driven .form-group .submit-btn {
    margin-top: 15px !important;
    position: relative !important;
}

#template_driven .form-group .submitBtn {
    position: relative !important;
    text-align: center !important;
    float: right !important;
}

.overview_height-set{
    height: calc(100vh - 280px);
}
.vis-network{
    height:100%;
}

.e-grid .e-toolbar-items .e-toolbar-item.e-search-wrapper .e-search .e-input{
    padding-left: 10px;
}
.txt_wrp{
    text-overflow: ellipsis;
    overflow:hidden;
    display: block;
 }

 .no-min-height .e-content {
    min-height: unset !important;
}
.check_icon_size_color{
    color: green !important; 
    font-size: x-large;   
}
.fail_icon_size_color{
    color: rgb(218, 218, 45) !important; 
    font-size: x-large;   
}

.detailed-catalog-view {
    padding: 5px;
}

.nav-align {
    padding: 5px 5px 0px 5px;
    margin-bottom: 0px;
}

.detailed-catalog-view-heading {
    text-transform: capitalize;
    font-size: 1.0rem !important;
    font-weight: bold;
    padding-top: 7px;
    padding-left: 0px !important;
}

.info-icon{
    width: 22px;
    height: 22px;
    opacity: 0.6;
}
.rules-info-icon{
    position:absolute;  
}
.parameter_class{   
    min-height: 250px;
    width: fit-content;
}
.available_dataset_class{
    min-height: 250px; 
    width: auto;
    overflow: auto;
}

.contain_dataset_params{
    display: inline;
}

.no-border {
    border-style: none;
}

.modal-dialog {
    position: relative;
    display: table; /* This is important */ 
    overflow-y: auto;    
    overflow-x: auto;
    width: auto;
    min-width: 300px;   
}

.btn.focus, .btn:focus {
    outline: none !important;
	}

.v1 {
    border-right: 1px solid rgba(236, 236, 236, 0.925) !important;
    min-height: 500px !important;
    overflow-y: auto;
  }

.adapter_style{
    font-size: 14px; 
    font-weight:600; 
    font-family: 'Open Sans', sans-serif;
    margin-left: 15px; 
    color: #010203; 
    outline-style:auto; 
    outline-color: #DDDBDA;
    margin-top: 15px;
    }
.para_style{
    font-size: 14px; 
    font-weight:600; 
    font-family: 'Open Sans', sans-serif;
    color: #010203; 
    outline-style:auto; 
    outline-color: #DDDBDA;
    }   
.form-control{
    font-size: 0.75rem !important;
}
.rule_page_font_size{
    font-size: 11px !important;
}
.rule_list_class{
    max-width: 1250px;
}

#physical-View .e-toolbar .e-toolbar-items {
    background: #f0f0f0 !important;
    margin-bottom: 8px;
}

/* Pagination */

.e-grid .e-pager {
    border-bottom: transparent;
    border-left: transparent;
    border-right: transparent;
    background-color: #efefef;
    border-top: transparent;
  }
  
  .e-pager .e-pagercontainer {
    background-color: transparent;
    border-color: #e0e0e0;
    margin-left:595px ;
  } 
  
  .e-input-group:not(.e-float-icon-left), 
  .e-input-group.e-control-wrapper:not(.e-float-icon-left) {
    border-bottom: 1px solid;
    margin-top: inherit;
  }

  .e-pager .e-currentitem, .e-pager .e-currentitem:hover {
    background: #0460a9 !important;
    color: #fff !important;
    opacity: 1;
    border-radius: inherit
  }
  
  .e-pager .e-numericitem {
    background: transparent;
    border-right-color: #e0e0e0;
    color: #000 !important;
  }
 
  .e-pager div.e-parentmsgbar {
    display: none;
  }

.e-pager .e-pagerdropdown {
    margin-top: -10px;
}
